Index: c/src/lib/libmisc/assoc/assoc.c
===================================================================
--- c/src/lib/libmisc/assoc/assoc.c	(revision b06e68ef1f6df69cc86d72356c3a002054a35fad)
+++ c/src/lib/libmisc/assoc/assoc.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,5 +1,5 @@
 /*
- *	@(#)assoc.c	1.4 - 95/08/02
- *	
+ *	@(#)assoc.c	1.6 - 95/10/25
+ *
  *
  * assoc.c
@@ -9,5 +9,4 @@
  */
 
-
 #include <rtems.h>
 #include "assoc.h"
@@ -19,11 +18,11 @@
 #define rtems_assoc_is_default(ap)  ((ap)->name && STREQ(ap->name, RTEMS_ASSOC_DEFAULT_NAME))
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_name(
-    rtems_assoc_t *ap,
-    char *name
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    const char *name
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -37,11 +36,11 @@
 }
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -56,11 +55,11 @@
 
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -81,9 +80,9 @@
 unsigned32
 rtems_assoc_remote_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -95,9 +94,9 @@
 unsigned32
 rtems_assoc_local_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -109,9 +108,9 @@
 unsigned32
 rtems_assoc_remote_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -123,9 +122,9 @@
 unsigned32
 rtems_assoc_local_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -140,23 +139,27 @@
  */
 
-char *
+const char *
 rtems_assoc_name_bad(
     unsigned32 bad_value
 )
 {
+#ifdef RTEMS_DEBUG
     static char bad_buffer[32];
 
     sprintf(bad_buffer, "< %d [0x%x] >", bad_value, bad_value);
+#else
+    static char bad_buffer[32] = "<assoc.c: BAD NAME>";
+#endif
     return bad_buffer;
 }
 
 
-char *
+const char *
 rtems_assoc_name_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -166,11 +169,11 @@
 }
 
-char *
+const char *
 rtems_assoc_name_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -186,5 +189,5 @@
 
 unsigned32 rtems_assoc_remote_by_local_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     local_value
   )
@@ -202,5 +205,5 @@
 
 unsigned32 rtems_assoc_local_by_remote_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     remote_value
   )
@@ -216,6 +219,7 @@
 }
 
-char *rtems_assoc_name_by_remote_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_remote_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
@@ -237,6 +241,7 @@
 }
 
-char *rtems_assoc_name_by_local_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_local_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
Index: c/src/lib/libmisc/assoc/assoc.h
===================================================================
--- c/src/lib/libmisc/assoc/assoc.h	(revision b06e68ef1f6df69cc86d72356c3a002054a35fad)
+++ c/src/lib/libmisc/assoc/assoc.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,4 +1,4 @@
 /*
- *	@(#)assoc.h	1.2 - 95/06/28
+ *	@(#)assoc.h	1.4 - 95/10/25
  *	
  *
@@ -14,5 +14,5 @@
 
 typedef struct {
-    char *name;
+    const char   *name;
     unsigned32   local_value;
     unsigned32   remote_value;
@@ -25,19 +25,19 @@
 #define RTEMS_ASSOC_DEFAULT_NAME "(default)"
 
-rtems_assoc_t *rtems_assoc_ptr_by_name(rtems_assoc_t *, char *);
-rtems_assoc_t *rtems_assoc_ptr_by_value(rtems_assoc_t *, unsigned32);
-rtems_assoc_t *rtems_assoc_ptr_by_remote(rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_name(const rtems_assoc_t *, const char *);
+const rtems_assoc_t *rtems_assoc_ptr_by_value(const rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_local_by_remote(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_remote_by_name(rtems_assoc_t *, char *);
-unsigned32   rtems_assoc_local_by_name(rtems_assoc_t *, char *);
-char        *rtems_assoc_name_by_local(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_remote(rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_local(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_local_by_remote(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_name(const rtems_assoc_t *, const char *);
+unsigned32   rtems_assoc_local_by_name(const rtems_assoc_t *, const char *);
+const char  *rtems_assoc_name_by_local(const rtems_assoc_t *, unsigned32);
+const char  *rtems_assoc_name_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local_bitfield(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_local_bitfield(rtems_assoc_t *, unsigned32, char *);
-char        *rtems_assoc_name_by_remote_bitfield(rtems_assoc_t *, unsigned32, char *);
-unsigned32   rtems_assoc_local_by_remote_bitfield(rtems_assoc_t *ap, unsigned32);
+unsigned32   rtems_assoc_remote_by_local_bitfield(const rtems_assoc_t *, unsigned32);
+char  *rtems_assoc_name_by_local_bitfield(const rtems_assoc_t *, unsigned32, char *);
+char  *rtems_assoc_name_by_remote_bitfield(const rtems_assoc_t *, unsigned32, char *);
+unsigned32   rtems_assoc_local_by_remote_bitfield(const rtems_assoc_t *, unsigned32);
 
 
